Ticket #37871

unicode-math v0.8j と両立できない

Open Date: 2018-01-12 15:04 Last Update: 2018-01-21 13:33

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

unicode-math v0.8j にアップデートすると,

  1. \documentclass{article}
  2. \usepackage{luatexja}
  3. \usepackage{unicode-math}
  4. \setmathfont{XITSMath}
  5. \begin{document}
  6. \end{document}
で次のエラーが出るようになりました.
...
(/usr/local/texlive/2017/texmf-dist/tex/latex/unicode-math/unicode-math-table.t
ex)))(load luc: /home/kmaeda/.texlive2017/texmf-var/luatex-cache/generic/fonts/
otl/xits-math.luc)(load luc: /home/kmaeda/.texlive2017/texmf-var/luatex-cache/g
eneric/fonts/otl/xits-mathbold.luc)
! Missing font identifier.
<to be read again>
\ltj@curjfnt
l.4 \setmathfont{XITSMath}

?

Ticket History (3/8 Histories)

2018-01-12 15:04 Updated by: kmaeda
  • New Ticket "unicode-math v0.8j と両立できない" created
2018-01-12 15:06 Updated by: kmaeda
  • Details Updated
Comment

\setmathfont{XITSMath} をコメントアウトすると,今度は次のエラーが出ます.

...
(/usr/local/texlive/2017/texmf-dist/tex/latex/unicode-math/unicode-math-table.t
ex))) (./test.aux)
(/home/kmaeda/texmf/tex/luatex/luatexja/src/patches/lltjp-fontspec.sty)
(/home/kmaeda/texmf/tex/luatex/luatexja/src/patches/lltjp-unicode-math.sty)
ABD: EverySelectfont initializing macros
! Undefined control sequence.
<argument> \Ucharcat
          "00023 12
l.5 \begin{document}

?

2018-01-12 20:26 Updated by: h7k
Comment

確認しました.いずれ調べますが,すぐには取り掛かれないかもしれません.

2018-01-12 21:26 Updated by: h7k
  • Owner Update from (None) to h7k
Comment

h7k への返信

確認しました.いずれ調べますが,すぐには取り掛かれないかもしれません.

commit 176ac9a だとどうでしょう?

2018-01-13 13:14 Updated by: kmaeda
Comment

h7k への返信

h7k への返信

確認しました.いずれ調べますが,すぐには取り掛かれないかもしれません.

commit 176ac9a だとどうでしょう?

エラーがなくなりました.古い unicode-math v0.8i でも問題なさそうです.ありがとうございます.

2018-01-14 07:30 Updated by: h7k
Comment

チケット #37828 (nomag* + unicode-math + lm) や,#37458 (lltjp-geometry + pLaTeX) への対応を行い次第,新バージョンをリリースするつもりです.1/21 を目標とします.

2018-01-14 19:25 Updated by: h7k
  • Resolution Update from None to Fixed
2018-01-21 13:33 Updated by: h7k
  • Status Update from Open to Closed
Comment

20180121.0 を出しましたので,完了とします.

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login